--  Create User and Roles tables in MySQL for Tomcat Authentication
--  Solution for manager application manager roles
--  Copyright 2011, Webucator
--

drop table users;
drop table roles;

create table users 
(	username	varchar(50) not null,
	password	varchar(50) not null
);

create table roles 
(	rolename	varchar(50) not null,
	username	varchar(50) not null
);

insert into users values ("Nancy","tomcat");
insert into users values ("Bill","catalina");
insert into roles values ("admin","Nancy");
insert into roles values ("customer","Bill");
--
-- Role for manager application:
--
insert into roles values ("manager-gui","Nancy");
